As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 655042 - Missing prtypes header in jscpucfg causes cross-builds to fail.
: Missing prtypes header in jscpucfg causes cross-builds to fail.
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: ARM Android
: -- blocker (vote)
: ---
Assigned To: Jacob Bramley [:jbramley]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-05 09:29 PDT by Jacob Bramley [:jbramley]
Modified: 2011-05-23 03:57 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Replace the prtypes inclusion. (718 bytes, patch)
2011-05-05 09:33 PDT, Jacob Bramley [:jbramley]
bhackett1024: review+
paul.biggar: feedback+
Details | Diff | Splinter Review

Description User image Jacob Bramley [:jbramley] 2011-05-05 09:29:51 PDT
It looks like a merge took out the prtypes header from jscpucfg.cpp. This header was responsible for defining IS_LITTLE_ENDIAN for cross-builds, and so the ARM Android tree burns in Tinderbox.

The offending merge is here: http://hg.mozilla.org/projects/jaegermonkey/rev/c6120a2f9a9b
Comment 1 User image Jacob Bramley [:jbramley] 2011-05-05 09:33:11 PDT
Created attachment 530341 [details] [diff] [review]
Replace the prtypes inclusion.

This patch simply replaces the #include. There might be some reason why it shouldn't be there, but I'm not sure.

Unfortunately, this won't make everything green again because there's some other bug further in the build process. However, it does seem to clear the endianness error.
Comment 2 User image Paul Biggar 2011-05-05 09:44:15 PDT
Comment on attachment 530341 [details] [diff] [review]
Replace the prtypes inclusion.

Review of attachment 530341 [details] [diff] [review]:

The fix looks right to me, but best check with bhackett in case there was a reason he removed it.
Comment 3 User image Brian Hackett (:bhackett) 2011-05-05 11:03:45 PDT
Comment on attachment 530341 [details] [diff] [review]
Replace the prtypes inclusion.

I think I had a build problem and removing this fixed it.  May have just been something stale, if the problem comes back can find a way to fix it without breaking ARM.
Comment 4 User image Jacob Bramley [:jbramley] 2011-05-06 01:27:58 PDT
http://hg.mozilla.org/projects/jaegermonkey/rev/e09e209d988e

Note You need to log in before you can comment on or make changes to this bug.